UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMMessageProperty Class Reference

Represents a key-value pair included with an LBMMessage object. More...

## Public Member Functions
string | key ()
| Retrieve the name of the property represented by this object.
int | type ()
| Retrieve the type of the property represented by this object.
bool | getBoolean ()
| Retrieve the value stored in this object as a bool. Only properties of type LBM.MSG_PROPERTY_BOOLEAN and LBM.MSG_PROPERTY_STRING can be retrieved as a bool.
byte | getByte ()
| Retrieve the value stored in this object as a byte. Only properties of type LBM.MSG_PROPERTY_BYTE and LBM.MSG_PROPERTY_STRING can be retrieved as a byte. More...
short | getShort ()
| Retrieve the value stored in this object as a short. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, and LBM.MSG_PROPERTY_STRING can be retrieved as a short. More...
int | getInteger ()
| Retrieve the value stored in this object as a integer. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, LBM.MSG_PROPERTY_INT, and LBM.MSG_PROPERTY_STRING can be retrieved as a integer. More...
long | getLong ()
| Retrieve the value stored in this object as a long. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, LBM.MSG_PROPERTY_INT, LBM.MSG_PROPERTY_LONG and LBM.MSG_PROPERTY_STRING can be retrieved as a long. More...
float | getFloat ()
| Retrieve the value stored in this object as a float. Only properties of type LBM.MSG_PROPERTY_FLOAT and LBM.MSG_PROPERTY_STRING can be retrieved as a float. More...
double | getDouble ()
| Retrieve the value stored in this object as a double. Only properties of type LBM.MSG_PROPERTY_FLOAT, LBM.MSG_PROPERTY_DOUBLE and LBM.MSG_PROPERTY_STRING can be retrieved as a double. More...
string | getString ()
| Retrieve the value stored in this object as a string. Any type may be retrieved as a string. More...

## Detailed Description

Represents a key-value pair included with an LBMMessage object.

## Member Function Documentation

byte com.latencybusters.lbm.LBMMessageProperty.getByte | ( |  | ) |

Retrieve the value stored in this object as a byte. Only properties of type LBM.MSG_PROPERTY_BYTE and LBM.MSG_PROPERTY_STRING can be retrieved as a byte.

Returns
  The stored value, converted to a System.Byte.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getByte(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

double com.latencybusters.lbm.LBMMessageProperty.getDouble | ( |  | ) |

Retrieve the value stored in this object as a double. Only properties of type LBM.MSG_PROPERTY_FLOAT, LBM.MSG_PROPERTY_DOUBLE and LBM.MSG_PROPERTY_STRING can be retrieved as a double.

Returns
  The stored value, converted to a System.Double.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getDouble(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

float com.latencybusters.lbm.LBMMessageProperty.getFloat | ( |  | ) |

Retrieve the value stored in this object as a float. Only properties of type LBM.MSG_PROPERTY_FLOAT and LBM.MSG_PROPERTY_STRING can be retrieved as a float.

Returns
  The stored value, converted to a System.Float.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getFloat(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

int com.latencybusters.lbm.LBMMessageProperty.getInteger | ( |  | ) |

Retrieve the value stored in this object as a integer. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, LBM.MSG_PROPERTY_INT, and LBM.MSG_PROPERTY_STRING can be retrieved as a integer.

Returns
  The stored value, converted to a System.Integer.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getInteger(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

long com.latencybusters.lbm.LBMMessageProperty.getLong | ( |  | ) |

Retrieve the value stored in this object as a long. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, LBM.MSG_PROPERTY_INT, LBM.MSG_PROPERTY_LONG and LBM.MSG_PROPERTY_STRING can be retrieved as a long.

Returns
  The stored value, converted to a System.Long.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getLong(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

short com.latencybusters.lbm.LBMMessageProperty.getShort | ( |  | ) |

Retrieve the value stored in this object as a short. Only properties of type LBM.MSG_PROPERTY_BYTE, LBM.MSG_PROPERTY_SHORT, and LBM.MSG_PROPERTY_STRING can be retrieved as a short.

Returns
  The stored value, converted to a System.Short.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getShort(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

string com.latencybusters.lbm.LBMMessageProperty.getString | ( |  | ) |

Retrieve the value stored in this object as a string. Any type may be retrieved as a string.

Returns
  The stored value, converted to a System.String.

References com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN, com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE, com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE, com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT, com.latencybusters.lbm.LBM.MSG_PROPERTY_INT, com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG, com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT, and com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING.

Referenced by com.latencybusters.lbm.LBMMessageProperties.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

The documentation for this class was generated from the following file:

- LBMMessageProperty.cs